GNU bug report logs - #48396
[PATCH 0/4] Add nodejs 16.1.0

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Martin Becze <mjbecze@HIDDEN>; Keywords: patch; Done: Jelle Licht <jlicht@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 48396-done <at> debbugs.gnu.org:


Received: (at 48396-done) by debbugs.gnu.org; 29 May 2023 11:14:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 29 07:14:17 2023
Received: from localhost ([127.0.0.1]:57201 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q3apN-00016Z-75
	for submit <at> debbugs.gnu.org; Mon, 29 May 2023 07:14:17 -0400
Received: from mail1.fsfe.org ([217.69.89.151]:47720)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jlicht@HIDDEN>) id 1q3apK-00016M-2v
 for 48396-done <at> debbugs.gnu.org; Mon, 29 May 2023 07:14:15 -0400
From: Jelle Licht <jlicht@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fsfe.org; s=2021100501;
 t=1685358852;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=hO8ecllmHhUL7E3Cyvv9kuhCPQ58sCaKmBVuGdL8W28=;
 b=YOVCNsj+cGFaDcKKBzMsDszUEeIDrJmelqPIM75AFMYqeplqGT4G8/BgexYX+n4rKM3kv4
 KPOt9nFKt9bRlAApFX2m0rz0t9vHOq2XGu57s4DwaA2YUZ+Q4GJPiueZpxVx0j8+OnYXfZ
 Z1YL1/RxDl0DQdubFb/t4Pp/9AhnK94=
To: 48396-done <at> debbugs.gnu.org
Subject: Re: bug#48396: [PATCH 0/4] Add nodejs 16.1.0
In-Reply-To: <20210513130622.4288-4-mjbecze@HIDDEN> (Martin Becze's
 message of "Thu, 13 May 2021 08:06:22 -0500")
References: <20210513130211.4057-1-mjbecze@HIDDEN>
 <20210513130622.4288-1-mjbecze@HIDDEN>
 <20210513130622.4288-4-mjbecze@HIDDEN>
Date: Mon, 29 May 2023 13:14:11 +0200
Message-ID: <87mt1no0e4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48396-done
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Martin Becze <mjbecze@HIDDEN> writes:

> * gnu/packages/node.scm (node-16.1): New variable.
[snip]

We now have the current LTS (node@18) available on master, closing this
one.




Notification sent to Martin Becze <mjbecze@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Jelle Licht <jlicht@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 48396 <at> debbugs.gnu.org:


Received: (at 48396) by debbugs.gnu.org; 25 Feb 2022 10:54:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 25 05:54:50 2022
Received: from localhost ([127.0.0.1]:51382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nNYFO-0008Ag-2U
	for submit <at> debbugs.gnu.org; Fri, 25 Feb 2022 05:54:50 -0500
Received: from laurent.telenet-ops.be ([195.130.137.89]:55082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nNYFL-0008AU-M3
 for 48396 <at> debbugs.gnu.org; Fri, 25 Feb 2022 05:54:48 -0500
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by laurent.telenet-ops.be with bizsmtp
 id zNul2600B4UW6Th01Nul9y; Fri, 25 Feb 2022 11:54:45 +0100
Message-ID: <9777211aefc5ad476e0a0b02df9aea80d70394f9.camel@HIDDEN>
Subject: Re: [PATCH 0/4] Add nodejs 16.1.0
From: Maxime Devos <maximedevos@HIDDEN>
To: 48396 <at> debbugs.gnu.org
Date: Fri, 25 Feb 2022 11:54:40 +0100
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-sjYLX7yKlbsFeJvL5/R5"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1645786485; bh=ZZhD6/DsVCdG4JC9YMMKPWw3q7K4CCqeU/3px5XcY/E=;
 h=Subject:From:To:Date;
 b=ieEIwFaFm8f4SMzs/7sgzJNwTKXDNh1zDIY/TmhSdp6iHKGIV+GEvEMdjNWvWd+mt
 ylVrFB2qF0st0J9N90mR/smqNd/KFG/2YglTK/0Kpwx2/QT/YYrx5qX7FaMrLuD9mn
 pjWdvmoYT0jqADDMCwhce5Ze0YTihBSedr4uDuuVBCXPMzOGPAJli9tjrJu2r/f2Ju
 GKJhjeg9KXeNYu3HoBCJpsMF3bucyRXJ89/1Sy5ypFIYfi72yvWdY2UX0yeHRkYJaX
 97vQfUVaMmsk+WDJ4dNlSi/KTCgTzKXsNusvJhtSsBPkqGPKA+hgf0wvBwolMU8elc
 UxU3FP63EZTXw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48396
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-sjYLX7yKlbsFeJvL5/R5
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

> +(define llhttp-6.0
> +  (package
> +    (inherit llhttp-bootstrap)
> +    (version "6.0.0")

Instead of defining a package variant of llhttp-bootstrap, why not just
update 'llhtp-bootstrap', to keep things simple by just having the
latest version of llhttp in Guix?

> +(define-public node-16.1
> +  (package
> +    (inherit node-lts)
> +    (version "16.1.0")

Likewise.

(Also, how come that the LTS version in Guix (14.18.3) is newer than
the regular version '10.24.1'?)

Greetings,
Maxime.

--=-sjYLX7yKlbsFeJvL5/R5
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYhi1cBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7jeVAQD0NvOrWFNNiHahYbhKUgBLiTb9
M+7HzLO8N0/6//yiqgEA2K1vPcq1p+AFm1l417BdhTMG3Wrg7SNXVFouq3DLGQU=
=Es7F
-----END PGP SIGNATURE-----

--=-sjYLX7yKlbsFeJvL5/R5--





Information forwarded to guix-patches@HIDDEN:
bug#48396; Package guix-patches. Full text available.

Message received at 48396 <at> debbugs.gnu.org:


Received: (at 48396) by debbugs.gnu.org; 13 May 2021 13:06:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 09:06:43 2021
Received: from localhost ([127.0.0.1]:41641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhB34-0008QY-Q2
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 09:06:43 -0400
Received: from mx1.riseup.net ([198.252.153.129]:58668)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1lhB33-0008Pq-7q
 for 48396 <at> debbugs.gnu.org; Thu, 13 May 2021 09:06:41 -0400
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FgsP761zyzF2s9
 for <48396 <at> debbugs.gnu.org>; Thu, 13 May 2021 06:06:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1620911195; bh=U5QG0tAahfgqZTzKTzC9lOMGWX0KOF8d5tiVyzlDOJY=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=Ft2ktmbMt3R8eWzR64Lp2eOHAbV97MrBBatPjmeAWXC0X2SDo4xY3UGpcuT/hC+6C
 r1JjQjQ3cfMNP4DsYcfpM9wn5jElITWJ1RuVmbYNhhIfy/0BDX4dqPQ+n4dZkLPzjT
 E1QRAQmLwnQmoc6E3r736WMKLfiTnyzCFzNjvYN4=
X-Riseup-User-ID: 384BFD07DD20CA0AA2377A0992BAD2F9EF7D4F312C6A0918B2488A0E9CFCDB72
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4FgsP66KvHz5vnv;
 Thu, 13 May 2021 06:06:34 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 48396 <at> debbugs.gnu.org
Subject: [PATCH 4/4] gnu: Added node-16.1.
Date: Thu, 13 May 2021 08:06:22 -0500
Message-Id: <20210513130622.4288-4-mjbecze@HIDDEN>
In-Reply-To: <20210513130622.4288-1-mjbecze@HIDDEN>
References: <20210513130211.4057-1-mjbecze@HIDDEN>
 <20210513130622.4288-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48396
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/node.scm (node-16.1): New variable.
---
 gnu/packages/node.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/node.scm b/gnu/packages/node.scm
index d7b46190e4..9d2432e97a 100644
--- a/gnu/packages/node.scm
+++ b/gnu/packages/node.scm
@@ -728,6 +728,32 @@ source files.")
      (alist-replace "python" (list python-3)
                     (package-native-inputs node)))))
 
+(define-public node-16.1
+  (package
+    (inherit node-lts)
+    (version "16.1.0")
+    (source
+     (origin
+       (inherit (package-source node-lts))
+       (uri (string-append "https://nodejs.org/dist/v" version
+                           "/node-v" version ".tar.xz"))
+       (sha256
+        (base32 "0z0808mw674mshgbmhgngqfkrdix3b61f77xcdz7bwf1j87j7ad0"))))
+    (arguments
+     (substitute-keyword-arguments (package-arguments node-lts)
+       ((#:phases phases)
+        `(modify-phases ,phases
+           (replace 'delete-cluster-tests
+             (lambda _
+               (for-each delete-file
+                         '("test/parallel/test-http-methods.js"
+                           "test/parallel/test-stdin-from-file-spawn.js"
+                           "test/parallel/test-cluster-primary-error.js"
+                           "test/parallel/test-cluster-primary-kill.js"))))))))
+    (inputs
+     (alist-replace "llhttp" (list llhttp-6.0)
+                    (package-inputs node-lts)))))
+
 (define-public libnode
   (package/inherit node
     (name "libnode")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48396; Package guix-patches. Full text available.

Message received at 48396 <at> debbugs.gnu.org:


Received: (at 48396) by debbugs.gnu.org; 13 May 2021 13:06:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 09:06:42 2021
Received: from localhost ([127.0.0.1]:41639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhB34-0008QR-Gs
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 09:06:42 -0400
Received: from mx1.riseup.net ([198.252.153.129]:58184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1lhB31-0008Pn-RD
 for 48396 <at> debbugs.gnu.org; Thu, 13 May 2021 09:06:40 -0400
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FgsP646RNzF2tf
 for <48396 <at> debbugs.gnu.org>; Thu, 13 May 2021 06:06:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1620911194; bh=uzsTwUtSnc+a2jj+QZX/jR7OqNlK+3kVQsS59vyr8yY=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=gzq+Qfcu/m1fT2jeVSSVEZA6ykTzuN8JNf0K0eqR3ErD6yt+JAapBCQKJrbV7yZFW
 pshYtYcjw9/1pkxdjIY+OrQ3XUZb7fGguln0oIKLEvSOqjIrwBGgi+Ewl16YfH0q5r
 jSMyERii3iSzcwnhJzFxbZiJ3HeeCFqnW6UoJqgQ=
X-Riseup-User-ID: F230CC270AB6305395C10DD3624C4ACE426C82673C7451DA83404C4A2C42E8BF
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4FgsP54hj2z5vnv;
 Thu, 13 May 2021 06:06:33 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 48396 <at> debbugs.gnu.org
Subject: [PATCH 3/4] gnu: node-lts: Add phase 'delete-cluster-tests.
Date: Thu, 13 May 2021 08:06:21 -0500
Message-Id: <20210513130622.4288-3-mjbecze@HIDDEN>
In-Reply-To: <20210513130622.4288-1-mjbecze@HIDDEN>
References: <20210513130211.4057-1-mjbecze@HIDDEN>
 <20210513130622.4288-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48396
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This adds a phases 'delete-cluster-tests which will be replaced by future
versions of node.

* gnu/packages/node.scm (node-lts): Add phase 'delete-cluster-tests.
---
 gnu/packages/node.scm | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/node.scm b/gnu/packages/node.scm
index 17f435ca39..d7b46190e4 100644
--- a/gnu/packages/node.scm
+++ b/gnu/packages/node.scm
@@ -666,12 +666,6 @@ source files.")
                  (("'/usr/bin/env'")
                   (string-append "'" (which "env") "'")))
 
-               ;; FIXME: These tests fail in the build container, but they don't
-               ;; seem to be indicative of real problems in practice.
-               (for-each delete-file
-                         '("test/parallel/test-cluster-master-error.js"
-                           "test/parallel/test-cluster-master-kill.js"))
-
                ;; These require a DNS resolver.
                (for-each delete-file
                          '("test/parallel/test-dns.js"
@@ -713,7 +707,14 @@ source files.")
                             "deps/llhttp/src/http.c")
                  (copy-file (string-append llhttp "/include/llhttp.h")
                             "deps/llhttp/include/llhttp.h"))
-               #t))))))
+               #t))
+           (add-after 'patch-files 'delete-cluster-tests
+             (lambda _
+               ;; FIXME: These tests fail in the build container, but they don't
+               ;; seem to be indicative of real problems in practice.
+               (for-each delete-file
+                         '("test/parallel/test-cluster-master-error.js"
+                           "test/parallel/test-cluster-master-kill.js"))))))))
     (inputs
      `(("c-ares" ,c-ares/fixed)
        ("icu4c" ,icu4c-68)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48396; Package guix-patches. Full text available.

Message received at 48396 <at> debbugs.gnu.org:


Received: (at 48396) by debbugs.gnu.org; 13 May 2021 13:06:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 09:06:42 2021
Received: from localhost ([127.0.0.1]:41637 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhB34-0008QP-A1
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 09:06:42 -0400
Received: from mx1.riseup.net ([198.252.153.129]:57110)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1lhB30-0008Pl-Jd
 for 48396 <at> debbugs.gnu.org; Thu, 13 May 2021 09:06:38 -0400
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FgsP52TfgzF2s2
 for <48396 <at> debbugs.gnu.org>; Thu, 13 May 2021 06:06:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1620911193; bh=h8eN4PrS6Tu+agAOYw6gZlCBJYcSFMpNjhlwmhvFtwo=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=UfFTamEmIXgndiLdEXtTQXHxpLwElRy0SKKt5wj65Za0apSbS9bIyoVZRawp7I5Og
 tw48MIS8IMIoK+1YIQsgtJYUqPT1VZk7uN91pMsTIbYBuqm8IFPq/h1+zrUI5QMtc9
 Cy5xzlnAb2eV8e7Gg7/ROdEjiwJzo1/9WnvBnjLY=
X-Riseup-User-ID: AB596561FF574A6B45BE0063898FC57C291F20F989A95FC311E83811FD6AACFE
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4FgsP43PDgz5vnv;
 Thu, 13 May 2021 06:06:32 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 48396 <at> debbugs.gnu.org
Subject: [PATCH 2/4] gnu: node-lts: Updated c-ares and icu4c.
Date: Thu, 13 May 2021 08:06:20 -0500
Message-Id: <20210513130622.4288-2-mjbecze@HIDDEN>
In-Reply-To: <20210513130622.4288-1-mjbecze@HIDDEN>
References: <20210513130211.4057-1-mjbecze@HIDDEN>
 <20210513130622.4288-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48396
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This updates two dependencies of node-lts (c-ares and icu4c). Future versions
of node depend on the new versions of these dependencies.

* gnu/packages/node.scm (node-lts): Update inputs c-ares and icu4c.
---
 gnu/packages/node.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/node.scm b/gnu/packages/node.scm
index beb67734a9..17f435ca39 100644
--- a/gnu/packages/node.scm
+++ b/gnu/packages/node.scm
@@ -715,8 +715,8 @@ source files.")
                             "deps/llhttp/include/llhttp.h"))
                #t))))))
     (inputs
-     `(("c-ares" ,c-ares)
-       ("icu4c" ,icu4c-67)
+     `(("c-ares" ,c-ares/fixed)
+       ("icu4c" ,icu4c-68)
        ("libuv" ,libuv-for-node)
        ("llhttp" ,llhttp-bootstrap)
        ("google-brotli" ,google-brotli)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48396; Package guix-patches. Full text available.

Message received at 48396 <at> debbugs.gnu.org:


Received: (at 48396) by debbugs.gnu.org; 13 May 2021 13:06:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 09:06:39 2021
Received: from localhost ([127.0.0.1]:41633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhB31-0008Q5-1Q
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 09:06:39 -0400
Received: from mx1.riseup.net ([198.252.153.129]:55744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1lhB2z-0008Pj-Dp
 for 48396 <at> debbugs.gnu.org; Thu, 13 May 2021 09:06:37 -0400
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FgsP41CcdzF2qM
 for <48396 <at> debbugs.gnu.org>; Thu, 13 May 2021 06:06:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1620911192; bh=0eoT1qwu2IjZgse9F+I40RcjfQjXihhuIOV8JUxlnAs=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=Zyj8tnD1AlFJ5ymkGT4D+OQhghTudjY/njEc5BL+sV3gsSZiPDV9o28klfUPJijaK
 xGcjahoBDA1Ki6gWgIZiymIVXxYSktyL1Dz3SEyQifbmmPm3EpuwdyMDiWKbe1PQKd
 IKofKvZA1ohYB36GW3OEEfVXWhES9xr+WF9bEctY=
X-Riseup-User-ID: 2712138CFBF39972E011BE01AC41839A3ED2916A30CA695DAF718CFCD48E8AB9
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4FgsP32FKpz5vnv;
 Thu, 13 May 2021 06:06:31 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 48396 <at> debbugs.gnu.org
Subject: [PATCH 1/4] gnu: Add llhttp-6.0.
Date: Thu, 13 May 2021 08:06:19 -0500
Message-Id: <20210513130622.4288-1-mjbecze@HIDDEN>
In-Reply-To: <20210513130211.4057-1-mjbecze@HIDDEN>
References: <20210513130211.4057-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48396
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/node.scm (llhttp-6.0): New variable.
---
 gnu/packages/node.scm | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/gnu/packages/node.scm b/gnu/packages/node.scm
index 4e80dd4d4e..beb67734a9 100644
--- a/gnu/packages/node.scm
+++ b/gnu/packages/node.scm
@@ -9,6 +9,7 @@
 ;;; Copyright © 2020 Pierre Langlois <pierre.langlois@HIDDEN>
 ;;; Copyright © 2020 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2021 Simon Tournier <zimon.toutoune@HIDDEN>
+;;; Copyright © 2021 Martin Becze <mjbecze@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -580,6 +581,17 @@ parser definition into a C output.")
 source files.")
     (license license:expat)))
 
+(define llhttp-6.0
+  (package
+    (inherit llhttp-bootstrap)
+    (version "6.0.0")
+    (source
+     (origin
+       (inherit (package-source llhttp-bootstrap))
+       (patches '())
+       (sha256
+        (base32 "1hyry664y3v727jcd72jpg7ilb8mr3zkffz0ag0ln8s68k5f2zka"))))))
+
 (define-public node-lts
   (package
     (inherit node)
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48396; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 May 2021 13:02:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 09:02:30 2021
Received: from localhost ([127.0.0.1]:41627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhAz0-0008Jj-I6
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 09:02:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:37676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1lhAyz-0008Jc-Hn
 for submit <at> debbugs.gnu.org; Thu, 13 May 2021 09:02:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39840)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mjbecze@HIDDEN>)
 id 1lhAyz-0000OS-6F
 for guix-patches@HIDDEN; Thu, 13 May 2021 09:02:29 -0400
Received: from mx1.riseup.net ([198.252.153.129]:37820)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mjbecze@HIDDEN>)
 id 1lhAyu-00005G-KB
 for guix-patches@HIDDEN; Thu, 13 May 2021 09:02:28 -0400
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FgsJF6s68zF2pv
 for <guix-patches@HIDDEN>; Thu, 13 May 2021 06:02:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1620910941; bh=M8VpHBjG31OQHGzfifjaJ+VvG5sj892MYtvtvKeLzwM=;
 h=From:To:Cc:Subject:Date:From;
 b=G8OVq+gwjodCZ7ZAaO8G5OJBYHFZFxRO5YfaHUTthFE3Uscz11vRn3sZXjuMm3tlY
 SADeMjcCpfW6I0hq2vZbdiDIPNkEqXishRY/5RJWpTDss98sDDFux1osJTnDvOdZa9
 1VrbsP25NnTg7GYn/t4as5veTZi3ohCae6biow+8=
X-Riseup-User-ID: FF25F253A72B1BD71A413623FA1CBAA097BC8403695908CD2903FEC8EF4BDA7B
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4FgsJD40jsz5vhJ;
 Thu, 13 May 2021 06:02:20 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/4] Add nodejs 16.1.0
Date: Thu, 13 May 2021 08:02:11 -0500
Message-Id: <20210513130211.4057-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=198.252.153.129; envelope-from=mjbecze@HIDDEN;
 helo=mx1.riseup.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

This patch set add nodejs 16.1.0 as well as updates some dependencies of node lts which where need for 16.1.0 to build.


Martin Becze (4):
  gnu: Add llhttp-6.0.
  gnu: node-lts: Updated c-ares and icu4c.
  gnu: node-lts: Add phase 'delete-cluster-tests.
  gnu: Added node-16.1.

 gnu/packages/node.scm | 57 ++++++++++++++++++++++++++++++++++++-------
 1 file changed, 48 insertions(+), 9 deletions(-)

-- 
2.31.1





Acknowledgement sent to Martin Becze <mjbecze@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#48396; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 29 May 2023 11:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.